import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class GeographicHighDensityScatterSeriesDescription extends GeographicMapSeriesHostDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ca;
    get latitudeMemberPath(): string;
    set latitudeMemberPath(a: string);
    private cb;
    get longitudeMemberPath(): string;
    set longitudeMemberPath(a: string);
    private bx;
    get useBruteForce(): boolean;
    set useBruteForce(a: boolean);
    private bw;
    get progressiveLoad(): boolean;
    set progressiveLoad(a: boolean);
    private b1;
    get heatMinimum(): number;
    set heatMinimum(a: number);
    private b0;
    get heatMaximum(): number;
    set heatMaximum(a: number);
    private b9;
    get heatMinimumColor(): string;
    set heatMinimumColor(a: string);
    private b8;
    get heatMaximumColor(): string;
    set heatMaximumColor(a: string);
    private b4;
    get pointExtent(): number;
    set pointExtent(a: number);
    private b5;
    get progressiveStatus(): number;
    set progressiveStatus(a: number);
    private cc;
    get progressiveLoadStatusChangedRef(): string;
    set progressiveLoadStatusChangedRef(a: string);
}
